### Name: AnnotatedList-class
### Title: Annotated Lists
### Aliases: AnnotatedList-class metadata metadata,AnnotatedList-method
###   elementMetadata elementMetadata,AnnotatedList-method metadata<-
###   metadata<-,AnnotatedList,list-method elementMetadata<-
###   elementMetadata<-,AnnotatedList,XDataFrameORNULL-method AnnotatedList
### Keywords: methods classes

### ** Examples

  ## demonstrated on RangesList objects, a subtype of AnnotatedList

  range1 <- IRanges(start=c(1,2,3), end=c(5,2,8))
  range2 <- IRanges(start=c(15,45,20,1), end=c(15,100,80,5))
  collection <- RangesList(range1, range2)

  ## access 'metadata' component
  metadata(collection)$genome <- "hg18"
  metadata(collection)

  ## set some element metadata
  elementMetadata(collection) <- XDataFrame(chrom = c("chr1", "chr2"))
  elementMetadata(collection)



